Bug 1419049 - keepalived: Rebase to latest stable release
Summary: keepalived: Rebase to latest stable release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: keepalived
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks: 1245370 1298695 1324594 1391553 1394957 1400012 1419119 1432398
TreeView+ depends on / blocked
 
Reported: 2017-02-03 14:28 UTC by Ryan O'Hara
Modified: 2020-08-13 08:51 UTC (History)
6 users (show)

Fixed In Version: keepalived-1.3.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:36:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2169 0 normal SHIPPED_LIVE keepalived bug fix and enhancement update 2017-08-01 18:18:21 UTC

Description Ryan O'Hara 2017-02-03 14:28:47 UTC
There have been numerous improvements and bug fixes in keepalived over the past several months. Many of these bugs have been reported and some are impacting OpenStack Neutron Currently. Backporting most of these code changes is difficult due to the amount of code churn between the version currently chipped in RHEL and current upstream stable. RHEL is using keepalived 1.2.13 and upstream stable release is now at 1.3.2.

Comment 1 Ryan O'Hara 2017-02-03 14:36:40 UTC
A few words about some important changes in upstream stable:

1. Some of the configuration file syntax has changed, but existing configurations should still work. A few configuration parameters have been deprecated, but this should only cause a warning at runtime.

2. VRRPv3 was introduced in keepalived since 1.2.13 (current version in RHEL). This is not compatible with VRRPv2, but it must been explicitly enabled in the configuration. The default is still VRRPv2. Important point is that nodes running in VRRPv3 will not work in conjunctions with nodes running VRRPv2, so customers that wish to upgrade and run VRRPv3 will not be able to to rolling upgrades.

3. There are on on-wire changes for VRRPv2, so existing deployments (version 1.2.13) should work with the new version (1.3.2). Rolling upgrades should work. Note that I've done some testing already and have no run into any problems.

4. The OpenStack Neutron team must test this with L3-HA agent to insure no breakage.

Comment 2 John Horne 2017-02-21 10:36:07 UTC
+1 for upgrading.
I have spent a little time time trying to figure out why the 'nopreempt' config option doesn't work. It seems that it is broken in the current (1.2.13) version. It is fixed in 1.2.14, but rather than request it is backported a jump to the latest release would be good.

Comment 3 ekultails 2017-02-24 20:12:05 UTC
Here is a documented case of Keepalived 1.2.15 and older causing issues for high availability with OpenStack's Neutron service: [ https://bugs.launchpad.net/neutron/+bug/1497272 ]. We have resorted to building our own RPM for 1.2.16 to overcome these issues. It would be ideal to have the official Red Hat RPMs updated. 

We have tried compiling the latest 1.2.X branch (currently 1.2.24) but it complained about missing functionality from the SNMP library so that may also need to be updated as well. For reference, here's the exact error we get while building 1.2.24.

===============
./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --enable-snmp --enable-sha1
<OMITTED>
checking for net-snmp-config... /usr/bin/net-snmp-config
checking whether C compiler supports flag "-DNETSNMP_ENABLE_IPV6 -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_RPM_4_4_COMPAT -Ulinux -Dlinux=linux -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/lib64/perl5/CORE -I/usr/include -DNETSNMP_NO_INLINE -L/usr/lib64 -lnetsnmpmibs -lnetsnmpagent -lnetsnmp -Wl,-z,relro -Wl,-z,now -lssl -lssl -lcrypto -lm -Wl,--enable-new-dtags -Wl,-rpath,/usr/lib64/perl5/CORE" from Net-SNMP... yes
checking for netsnmp_enable_subagent... no
configure: error: *** no subagent support in net-snmp
===============

Comment 6 errata-xmlrpc 2017-08-01 19:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2169


Note You need to log in before you can comment on or make changes to this bug.